Package com.saxonica.ee.schema.sdoc

## Class XSDAssert.CustomizedXPath

- java.lang.Object
- - net.sf.saxon.sxpath.XPathEvaluator
  - - com.saxonica.ee.schema.sdoc.XSDAssert.CustomizedXPath

- Enclosing class:
    XSDAssert

      public static class XSDAssert.CustomizedXPath
      extends XPathEvaluator

  Define a customized XPath evaluator which injects code into the XPath code generation; this has the effect for a complex-type XSDAssert of modifying the expression so that instead of returning a boolean, it returns a list of nodes that contribute to the invalidity of the assertion.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CustomizedXPath​(Configuration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Expression` | `postProcess​(Expression exp, ExpressionVisitor visitor, ContextItemStaticInfo cit)` | Customize the expression post-optimization.

    - ### Methods inherited from class net.sf.saxon.sxpath.XPathEvaluator

      `createExpression, createPattern, getConfiguration, getStaticContext, setStaticContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomizedXPath

          public CustomizedXPath​(Configuration config)

  - ### Method Detail

    - #### postProcess

          protected Expression postProcess​(Expression exp,
                                           ExpressionVisitor visitor,
                                           ContextItemStaticInfo cit)
                                    throws XPathException

      Customize the expression post-optimization. This method does nothing, but can be overridden in a subclass
      Overrides:
        `postProcess` in class `XPathEvaluator`
      Parameters:
        `exp` - the expression after optimization
        `visitor` - an expression visitor that includes static context information
        `cit` - information about the context item type
      Throws:
        `XPathException`